//
// Created by WJG on 2020-11-11.
//

#ifndef NEWCOSS_SCENE_COMM_H
#define NEWCOSS_SCENE_COMM_H

#define SCENE_MODULE "scene"
#define SCENE_FILE_DIR "scene_file"
#define LIGHTJIA_SCENE_DIR "lightjia"

#define SCENE_ID "id"
#define SCENE_NAME "name"
//#define SCENE_SUMMARY "summary"
#define SCENE_DESCRIBE "describe"
#define SCENE_TRIGGER "trigger"
#define SCENE_STATUS "status"
#define SCENE_TYPE "type"
#define SCENE_FAMILY "familyId"
#define SCENE_BACKGROUND "backgroundImage"
#define SCENE_RUN_TYPE "runType"
#define SCENE_RULE "rules"
#define SCENE_PARAM "sceneParam"

#define RULE_CONDITION "conditions"
#define SUB_CONDITION "condition"
#define RULE_ACTION "actions"
#define SUB_ACTION "action"
#define ACTION_PARAM "param"
#define TRIGGER_PARAM "param"
#define MULTI_CONDITION "multiCondition"

#define DEVICE_TRIGGER "device/"
#define SYSTEM_CMD_TRIGGER "system/cmd"
#define SYSTEM_TIMER_TRIGGER "system/timer"
#define APP_TRIGGER "app/"
#define TEMP_HUMI_SENSOR_TRIGGER "device/sensor/TempHumi"
#define PM25_SENSOR_TRIGGER "device/sensor/pm25"

#define STRING_SLASH "/"
#define STRING_AT_SIGN "@"
#define STRING_DEVICE "device"
#define STRING_SYSTEM "system"
#define STRING_APP "app"

#define SCENE_DISABLE   "disable"
#define SCENE_ENABLE    "enable"
#define SCENE_ACTIVE    "active"
#define SCENE_INACTIVE  "inactive"
#define SCENE_TYPE_USER "customise"   //用户自定义
#define SCENE_TYPE_RECOMMEND  "recommend"  //推荐
#define SCENE_RUN_AUTO "auto" //自动执行
#define SCENE_RUN_MANUAL "manual" //手动执行
#define CROSS_TRIGGER "cr_trigger" //跨面板触发

#define APP_CMD_ACTIVE_SCENE "app/activeScene/"
#define SYSTEM_CMD_ACTIVE_SCENE "system/activeScene/"

#define SHORTCUT_SCENE_FILE "shortcut_scene.json"
#define SHORTCUT_SCENE_LIST "shortcut_scene_list"

#define CONDITION_OBJECT "condition_obj"
#define CONDITION_OBJECT_DEVICE "device"
#define CONDITION_OBJECT_GROUP "group"
#define CONDITION_OBJECT_TEMPERATURE "temperature"
#define CONDITION_OBJECT_HUMIDITY "humidity"
#define CONDITION_OBJECT_PM25 "pm25"
#define CONDITION_OBJECT_SUNTIME "sunTime"
#define CONDITION_OBJECT_FIXEDTIME "fixedTime"
#define CONDITION_OBJECT_SECTIONTIME "sectionTime"
#define CONDITION_OBJECT_EXTERNAL_TEMPERATURE "externalTemperature"
#define CONDITION_OBJECT_EXTERNAL_HUMIDITY "externalHumidity"

#define LIGHT_DEFAULT_GROUP_SCENE_NAME "开关灯"

#endif //NEWCOSS_SCENE_COMM_H
