//
// Created by Ht on 2019/12/25.
//



/**
 *      处理配置文件相关的处理
 *
 *      读取配置文件
 *      更改配置文件 等
 *
 */

#ifndef LIBGOING_QCONFIGUTIL_H
#define LIBGOING_QCONFIGUTIL_H

#include <string>
#include <jebase/config.h>
#include "qlibc/qlibc.h"

namespace qlibc {

    static const char* dft_cfg_key = "@dft";


    class JE_API QConfigUtil {

    public:
        static bool loadDefaultJsonConfig();

        static bool loadJsonConfig(const std::string& configFileName, const string& cfgKey = dft_cfg_key);

        static qlibc::QData* getConfig(const std::string& cfgKey = dft_cfg_key);

    };

}



#endif //LIBGOING_QCONFIGUTIL_H
